# Get-RASAVDHostPoolStatus

### NAME

Get-RASAVDHostPoolStatus\ <br>

### SYNOPSIS

Retrieves the status of one or multiple AVD Host Pools.\ <br>

### SYNTAX

Get-RASAVDHostPoolStatus \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#CommonParameters)*>*]\
\
Get-RASAVDHostPoolStatus \[\[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#InputObject)] *<*[*AVDHostPool*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostPool.html)*>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#CommonParameters)*>*]\
\
Get-RASAVDHostPoolStatus \[\[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#Name)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves information about the status of one or multiple AVD Host Pools.\
\
The cmdlet returns an object of type AVDHostPoolStatus.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
The result set contains only the major properties of a group; it does not include the complete list of settings supported in RAS.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the AVD Host Pool for which to retrieve the status.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the specified RDS Host Pool Name.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the AVD Host Pool. To obtain the ID, use the Get-RASAVDHostPool cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**AVDHostPool**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostPool.html)**>**\
An object of type AVDHostPool representing the AVD Host Pool.\
\
To obtain the object, use the Get-RASAVDHostPool cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[AVDHostPool](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostPool.html)

### OUTPUTS

[AVDHostPoolStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHostPoolStatus.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDHostPoolStatus "My AVD Host Pool" | Format-List\
\
Retrieves the status of the pool specified by name from the Licensing Server site.\
\
To retrieve the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include all available pool properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDHostPoolStatus -Id 10\
\
Retrieves information about the pool specified by ID from the Licensing Server site.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdhostpoolstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
